Subject: Re: bug#23848: sed not using unlocked_stdio

From: Assaf Gordon <[email-masked]>
Date: Sat, 25 Jun 2016 22:14:30 -0400

Hello Tristan,

> On Jun 25, 2016, at 08:10, Tristan Verniquet <[email-masked]> wrote:
> Most reading and writing is done in utils.c, but this does not include
> sed.h or the "unlocked-io.h" header.

Thank you for the report.

The attached patch addresses the issue.
I see similar speed-ups on my system.

As sed is in the midst of several code changes, this patch is not yet pushed in to the git repository,
but I'm confident it will included in the upcoming sed-4.3 release.
I'll leave this bug 'open' until the patch is pushed.

regards,
 - assaf